from os import getenv
from requests import post

def notify(priority, message):
  r = post("https://api.pushover.net/1/messages.json", data = {
    "token": po_bots_token,
    "user": po_user_token,
    "message": message,
    "priority": priority
  })

# Unsplash creds
unsplash_ep = "https://api.unsplash.com/photos/random?query=puppy"
unsplash_token = getenv('UNSPLASH_API_KEY')

# Bots creds
bots_endpoint = getenv('BOTS_ENDPOINT')
bots_streaming = getenv('BOTS_STREAM_ENDPOINT')
puppybot_token = getenv('BOTS_PUPPYBOT_TOKEN')
blog_token = getenv('BOTS_BLOG_TOKEN')
bookclub_token = getenv('BOTS_BOOKCLUB_TOKEN')
dogfacts_token = getenv('BOTS_DOGFACTS_TOKEN')
newsfeed_token = getenv('BOTS_NEWSFEED_TOKEN')
whitenonsense_token = getenv('WHITENONSENSE_TOKEN')
randomquotes_token = getenv('BOTS_QUOTESBOT_TOKEN')  
botsy_token = getenv('BOTS_BOTSY_TOKEN')
quip_file = getenv('QUIP_FILE')
quip_tags = getenv('QUIP_TAGS')
quip_token = getenv('QUIP_TOKEN')

## Quotes file path
quotes_source = getenv('QUOTES_SOURCE')

## Repository links
repo_links = getenv('REPO_LINKS')

# Pushover creds
po_endpoint = getenv('PUSHOVER_ENDPOINT')
po_user_token = getenv('PUSHOVER_USER_TOKEN')
po_bots_token = getenv('PUSHOVER_BOTS_TOKEN')
po_test_token = getenv('PUSHOVER_TEST_TOKEN')

# GtS tokens
gts_endpoint = getenv('GTS_ENDPOINT')
gts_streaming = getenv('GTS_STREAM_ENDPOINT')
gts_botsy_token = getenv('GTS_BOTSY_TOKEN')
gts_bookclub_token = getenv('GTS_BOOKCLUB_TOKEN')

# Telegram tokens
telegramfeed_token = getenv('TELEGRAM_FEED_TOKEN')
telegramuser_token = getenv('TELEGRAM_USER_TOKEN')
telegrambot_token = getenv('TELEGRAM_BOT_TOKEN')
telegramhomelab_token = getenv('TELEGRAM_HOMELAB_TOKEN')

# Blog feed url
blog_feed = getenv('BLOG_FEED_URL')

# DigitalOcean creds
do_endpoint = getenv('DO_API_ENDPOINT')
do_token = getenv('DO_API_KEY')

# Wikipedia creds
wikimedia_endpoint = 'https://api.wikimedia.org/feed/v1/wikipedia/en/onthisday/all'
wikipedia_token = getenv('WIKIPEDIA_ACCESS_TOKEN')
